Darian
Lanx

    content@openprojects.net

2001-04-25
0.01.01
KBuildSycoca
8

# Description

Rebuilds the system configuration cache.

## Synopsis

    kbuildsycoca

    --nosignal
    --incremental
    --help
    --help-qt
    --help-kde
    --help-all
    --author
    -v, --version
    --license

## Description

`kbuildsyscoca`, as part of the &kde; command line tools ensures the proper operation of &kde; by reading in all the `.desktop`, `.directory`, `.kimgio` and `.protocol` files to constructs a binary database.

&kde; itself accesses this databse during operation to provide configurational information a program needs to run.

This tool is part of ksyscoca, which stands for &kde; System Configuration Cache

## Options

`--nosignal`

  Don't signal applications

`--incremental`

  Incremental Update

`--help`

  Show help about options

`--help-qt`

  Show Qt specific options

`--help-kde`

  Show KDE specific options

`--help-all`

  Show all options

`--author`

  Show author information

`--version`

  Show version information

`--license`

  Show license information

## Usage

A standard way to run this program is by simply specifying the following command at the prompt ``kbuildsyscoca``

## Files

`/tmp/kde-$USER/ksyscoca`

  ...

## Environment Variables

$`KDEDIRS`

  Specifies which directories are part of the KDE installations

## See Also

ksycoca(3), kblah(4), knogga(6)

## Bugs

There are no known bugs at the time of writing.